org.apache.sysds.runtime.util

## Class PorterStemmer

- java.lang.Object
- - org.apache.sysds.runtime.util.PorterStemmer

    public class PorterStemmer
    extends Object

Stemmer, implementing the Porter Stemming Algorithm The Stemmer class transforms a word into its root form. The input word can be provided a character at time (by calling add()), or at once by calling one of the various stem(something) methods.

### Constructor Summary

Constructors
Constructor and Description
`PorterStemmer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `stem(String word)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PorterStemmer

    public PorterStemmer()

### Method Detail

#### stem

    public static String stem(String word)